import { Preset } from "./intervalPicker.component";

export interface IntervalPickerBindings {
    // two-way bound object with public dates.
    publicDates: PublicDates;
    // two-way bound Preset type
    publicPreset: Preset;
    // callback function when ok is pressed
    onOkCallback: Function;
    // callback function when cancel is pressed
    onCancelCallback: Function;
}

export interface PublicDates {
    start: Date;
    end: Date;
}
